# Looking for complete shopping cart including line item amount and cart total for sales reporting

**URL:** <https://developer.squareup.com/forums/t/looking-for-complete-shopping-cart-including-line-item-amount-and-cart-total-for-sales-reporting/21022>\
**Category:** Questions\
**Tags:** orders-api\
**Created:** [February 12, 2025, 12:00am UTC](https://developer.squareup.com/forums/t/looking-for-complete-shopping-cart-including-line-item-amount-and-cart-total-for-sales-reporting/21022 "2025-02-12T00:00:50Z")\
**Posts on this page:** 7\
**Page:** 1

<div class="post-metadata">

**Author:** ![headstandken](https://avatars.discourse-cdn.com/v4/letter/h/f08c70/32.png) [@headstandken](https://developer.squareup.com/forums/u/headstandken)\
**Post date:** [February 12, 2025, 12:00am UTC](https://developer.squareup.com/forums/t/looking-for-complete-shopping-cart-including-line-item-amount-and-cart-total-for-sales-reporting/21022/1 "2025-02-12T00:00:50Z")

</div>

In orders api I don’t see dollar amount per line item or cart total and need it for sales reporting.

---

<div class="post-metadata">

**Author:** ![Square-Dev-AI](https://sea1.discourse-cdn.com/square/forums/user_avatar/developer.squareup.com/square-dev-ai/32/2513_2.png) [@Square-Dev-AI](https://developer.squareup.com/forums/u/Square-Dev-AI)\
**Post date:** [February 12, 2025, 12:01am UTC](https://developer.squareup.com/forums/t/looking-for-complete-shopping-cart-including-line-item-amount-and-cart-total-for-sales-reporting/21022/2 "2025-02-12T00:01:16Z")

</div>

👋 I’m Square Dev AI, here to help answer your question!  
Based on the information you’ve provided, the following documentation will help answer your question:

> **[Orders API: How It Works](https://developer.squareup.com/docs/orders-api/how-it-works)**
>
> Learn how the Orders API processes and returns information about purchase transactions.

[https://developer.squareup.com/docs/app-marketplace/requirements/orders-api](https://developer.squareup.com/docs/app-marketplace/requirements/orders-api)

> **Additional Documentation**
>
> [Orders API](https://developer.squareup.com/docs/orders-api/what-it-does)  
> [Pay for Orders](https://developer.squareup.com/docs/orders-api/pay-for-orders)  
> [Create Orders](https://developer.squareup.com/docs/orders-api/create-orders)

If this documentation helped you find a solution, please check the box indicating that this reply solves the problem.  
Otherwise one of our Developer Advocates will provide additional assistance shortly.

---

<div class="post-metadata">

**Author:** ![Bryan-Square](https://sea1.discourse-cdn.com/square/forums/user_avatar/developer.squareup.com/bryan-square/32/38_2.png) [@Bryan-Square](https://developer.squareup.com/forums/u/Bryan-Square)\
**Post date:** [February 12, 2025, 12:13am UTC](https://developer.squareup.com/forums/t/looking-for-complete-shopping-cart-including-line-item-amount-and-cart-total-for-sales-reporting/21022/3 "2025-02-12T00:13:19Z")

</div>

Do you have an example `order_id` that your seeing this with, because `base_price_money` is included in the order response along with totals.

```auto
"base_price_money": {
                        "amount": 100,
                        "currency": "USD"
                    }

```

🙂

---

<div class="post-metadata">

**Author:** ![headstandken](https://avatars.discourse-cdn.com/v4/letter/h/f08c70/32.png) [@headstandken](https://developer.squareup.com/forums/u/headstandken)\
**Post date:** [February 12, 2025, 12:22am UTC](https://developer.squareup.com/forums/t/looking-for-complete-shopping-cart-including-line-item-amount-and-cart-total-for-sales-reporting/21022/4 "2025-02-12T00:22:55Z")

</div>

I was working in the API Explorer under production.

curl [https://connect.squareup.com/v2/orders/search](https://connect.squareup.com/v2/orders/search)   
-X POST   
-H ‘Square-Version: 2025-01-23’   
-H ‘Authorization: Bearer ACCESS\_TOKEN’   
-H ‘Content-Type: application/json’   
-d ‘{  
“location\_ids”: [  
“0ZS40A1P70QA7”  
],  
“return\_entries”: true,  
“query”: {  
“filter”: {  
“date\_time\_filter”: {  
“closed\_at”: {  
“end\_at”: “2025-02-11T13:00:00Z”,  
“start\_at”: “2025-02-10T13:01:00Z”  
}  
},  
“state\_filter”: {  
“states”: [  
“COMPLETED”  
]  
},  
“source\_filter”: {},  
“fulfillment\_filter”: {},  
“customer\_filter”: {}  
}  
}  
}’

---

<div class="post-metadata">

**Author:** ![Bryan-Square](https://sea1.discourse-cdn.com/square/forums/user_avatar/developer.squareup.com/bryan-square/32/38_2.png) [@Bryan-Square](https://developer.squareup.com/forums/u/Bryan-Square)\
**Post date:** [February 12, 2025, 12:44am UTC](https://developer.squareup.com/forums/t/looking-for-complete-shopping-cart-including-line-item-amount-and-cart-total-for-sales-reporting/21022/5 "2025-02-12T00:44:14Z")

</div>

Oh, you have `“return_entries”: true,`. Change that to `false` or remove it and you’ll get the order details. 🙂

---

<div class="post-metadata">

**Author:** ![headstandken](https://avatars.discourse-cdn.com/v4/letter/h/f08c70/32.png) [@headstandken](https://developer.squareup.com/forums/u/headstandken)\
**Post date:** [February 12, 2025, 1:39am UTC](https://developer.squareup.com/forums/t/looking-for-complete-shopping-cart-including-line-item-amount-and-cart-total-for-sales-reporting/21022/6 "2025-02-12T01:39:35Z")

</div>

Why doesn’t it show decimal place? 2995 is probably 29.95

---

<div class="post-metadata">

**Author:** ![Bryan-Square](https://sea1.discourse-cdn.com/square/forums/user_avatar/developer.squareup.com/bryan-square/32/38_2.png) [@Bryan-Square](https://developer.squareup.com/forums/u/Bryan-Square)\
**Post date:** [February 12, 2025, 5:15pm UTC](https://developer.squareup.com/forums/t/looking-for-complete-shopping-cart-including-line-item-amount-and-cart-total-for-sales-reporting/21022/7 "2025-02-12T17:15:14Z")

</div>

With Square we always show the amount in the lowest possible denomination and an integer, not a float. 🙂
